Subject: bug#45915: 28.2; delete-char deletes two letters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Sep 2022 11:05:20 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 18 Sep 2022 08:56:48 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> I don't think this is the right solution.  One possible solution that
> is better is to bind <Delete> to an org-table specific command, which
> would insert some character displayed as a thin space between the two
> spaces that have the 'display' property.  But I'll let Ihor chime in.

One other possibility is to use a slightly different :relative-width
factor for the two spaces in a table cell: one with the value of 1,
the other with 1.001 (say).  They will be indistinguishable on
display, but since the values are not equal, both stretch gfyphs will
be displayed, not just one.